Get financial ratios
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/financial-ratios \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/financial-ratios"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/financial-ratios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"liquidity": {
"current_ratio": {
"2014": 2.170153630241602,
"2015": 3.9382332732421896,
"2016": 1.4433204505794686,
"2017": 1.4715106437701448,
"2018": 1.1730789739846177,
"2019": 2.3687243725981255,
"2020": 1.3305483243873792
},
"quick_ratio": {
"2014": 1.8293385448664694,
"2015": 3.292934792905369,
"2016": 1.2009179843461073,
"2017": 1.1939344402370429,
"2018": 0.9524613210383901,
"2019": 2.047362926655386,
"2020": 1.165771941991342
},
"cash_ratio": {
"2014": 0.8457322529202494,
"2015": 0.9863829458972141,
"2016": 0.4934330804148122,
"2017": 0.5376921355145503,
"2018": 0.357758593415979,
"2019": 0.7029122106845779,
"2020": 0.4280589983565223
},
"cash_to_assets": {
"2014": 0.8457322529202494,
"2015": 0.9863829458972141,
"2016": 0.4934330804148122,
"2017": 0.5376921355145503,
"2018": 0.357758593415979,
"2019": 0.7029122106845779,
"2020": 0.4280589983565223
},
"net_working_capital_to_sales": {
"2014": 0.8457322529202494,
"2015": 0.9863829458972141,
"2016": 0.4934330804148122,
"2017": 0.5376921355145503,
"2018": 0.357758593415979,
"2019": 0.7029122106845779,
"2020": 0.4280589983565223
}
},
"activity": {
"total_asset_turnover": {
"2014": 0.7571560970807056,
"2015": 0.7877245363542329,
"2016": 2.3693977000910613,
"2017": 0.6628963317110973,
"2018": 0.8299941484739886,
"2019": 1.3275331009476332,
"2020": 0.5645231967194583
},
"inventory_turnover": {
"2014": 0.9355785151784264,
"2015": 0.7176644321323731,
"2016": 1.828113585829089,
"2017": 0.7805613367433604,
"2018": 0.6717572448950851,
"2019": 1.8946440989913522,
"2020": 0.7171407160576209
},
"fixed_asset_turnover_ratio": {
"2014": 0.9355785151784264,
"2015": 0.7176644321323731,
"2016": 1.828113585829089,
"2017": 0.7805613367433604,
"2018": 0.6717572448950851,
"2019": 1.8946440989913522,
"2020": 0.7171407160576209
},
"sales_to_capital_employed": {
"2014": 0.9355785151784264,
"2015": 0.7176644321323731,
"2016": 1.828113585829089,
"2017": 0.7805613367433604,
"2018": 0.6717572448950851,
"2019": 1.8946440989913522,
"2020": 0.7171407160576209
},
"accounts_payable_payment_period": {
"2014": 0.9355785151784264,
"2015": 0.7176644321323731,
"2016": 1.828113585829089,
"2017": 0.7805613367433604,
"2018": 0.6717572448950851,
"2019": 1.8946440989913522,
"2020": 0.7171407160576209
},
"accounts_receivable_collection_period": {
"2014": 0.9355785151784264,
"2015": 0.7176644321323731,
"2016": 1.828113585829089,
"2017": 0.7805613367433604,
"2018": 0.6717572448950851,
"2019": 1.8946440989913522,
"2020": 0.7171407160576209
}
},
"profitability": {
"return_on_assets": {
"2014": 0.8909660418010791,
"2015": 0.9170198717865244,
"2016": 0.8867081841792085,
"2017": 0.8763975270414898,
"2018": 0.7464401447048928,
"2019": 0.8589579515876329,
"2020": 0.8023060035397855
},
"return_on_equity": {
"2014": 1.2206153800050163,
"2015": 0.9472091208246147,
"2016": 0.8345801104504675,
"2017": 1.4492972599256255,
"2018": 0.5783242083326875,
"2019": 1.0231983929814674,
"2020": 0.8401368179614076
},
"return_on_sales": {
"2014": 1.1767270252941127,
"2015": 1.1641377530661918,
"2016": 0.37423358018163444,
"2017": 1.3220732792098786,
"2018": 0.8993318158655498,
"2019": 0.6470331707544488,
"2020": 1.4212099842878454
},
"gross_profit_margin": {
"2014": 1.267320660225698,
"2015": 1.0523144011638075,
"2016": 0.5410234037399851,
"2017": 1.0225926594543397,
"2018": 1.2427611679673494,
"2019": 0.6312249227085254,
"2020": 1.5823179451948328
},
"return_on_investment": {
"2014": 1.1767270252941127,
"2015": 1.1641377530661918,
"2016": 0.37423358018163444,
"2017": 1.3220732792098786,
"2018": 0.8993318158655498,
"2019": 0.6470331707544488,
"2020": 1.4212099842878454
}
},
"leverage": {
"total_debt_ratio": {
"2014": 0.2700681505443447,
"2015": 0.03187178878916228,
"2016": -0.062460239677416485,
"2017": 0.3952948430424381,
"2018": -0.29069496650829235,
"2019": 0.16051671163718226,
"2020": 0.04502934952121079
},
"debt_equity_ratio": {
"2014": 0.836600142459244,
"2015": 0.6650153634660437,
"2016": 1.3233877546014627,
"2017": 0.8459680150547594,
"2018": 0.9916920082233325,
"2019": 0.7331621821311222,
"2020": 0.9173805946813605
},
"coverage": {
"2014": 1.6967874814292707,
"2015": 0.6353417929046555,
"2016": 1.3123395940652847,
"2017": 1.0541585331655516,
"2018": 1.2425865404494898,
"2019": 1.249555054360737,
"2020": 0.7879005075830647
},
"capital_intensity_ratio": {
"2014": 1.3207316217297917,
"2015": 1.269479308881536,
"2016": 0.42204818547834655,
"2017": 1.5085315035893407,
"2018": 1.2048277711819788,
"2019": 0.7532768857410559,
"2020": 1.7714063935922786
},
"solvency": {
"2014": 1.3207316217297917,
"2015": 1.269479308881536,
"2016": 0.42204818547834655,
"2017": 1.5085315035893407,
"2018": 1.2048277711819788,
"2019": 0.7532768857410559,
"2020": 1.7714063935922786
},
"interest_expense_to_sales": {
"2014": 1.3207316217297917,
"2015": 1.269479308881536,
"2016": 0.42204818547834655,
"2017": 1.5085315035893407,
"2018": 1.2048277711819788,
"2019": 0.7532768857410559,
"2020": 1.7714063935922786
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Financial
Financial Ratios Insight
Liquidity, leverage, profitability, and efficiency ratios computed per fiscal year from the entity’s annual tax filings.
GET
/
entities
/
{entityId}
/
insights
/
financial-ratios
Get financial ratios
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by invoice issuing date (greater than)
Filter by invoice issuing date (less than)
Response
Financial Ratios
Show child attributes
Show child attributes
Was this page helpful?
⌘I